/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*-
 *
 * Copyright (C) 2023 step
 *
 * Licensed under the GNU General Public License Version 2
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __EGG_MARKDOWN_STYLE_H
#define __EGG_MARKDOWN_STYLE_H

#include "egg-markdown-color.h"

/* TODO force compile error for pango version < 1.50.0 */

#define TABLE \
X(EGG_MARKDOWN_STYLE_CODE_SPAN_PANGO, "fgcolor=\""EGG_MARKDOWN_COLOR_CODE_SPAN_FG"\"")                                                \
X(EGG_MARKDOWN_STYLE_CODEBLOCK_PANGO, "bgcolor=\""EGG_MARKDOWN_COLOR_CODEBLOCK_BG"\" fgcolor=\"" EGG_MARKDOWN_COLOR_CODEBLOCK_FG"\"") \
X(EGG_MARKDOWN_STYLE_H1_PANGO,        "fgcolor=\""EGG_MARKDOWN_COLOR_H1_FG"\" size=\"200%\"")                                         \
X(EGG_MARKDOWN_STYLE_H2_PANGO,        "fgcolor=\""EGG_MARKDOWN_COLOR_H2_FG"\" size=\"150%\"")                                         \
X(EGG_MARKDOWN_STYLE_H3_PANGO,        "fgcolor=\""EGG_MARKDOWN_COLOR_H3_FG"\" size=\"117%\"")                                         \
X(EGG_MARKDOWN_STYLE_H4_PANGO,        "fgcolor=\""EGG_MARKDOWN_COLOR_H4_FG"\" size=\"100%\" variant=\"smallcaps\"")                   \
X(EGG_MARKDOWN_STYLE_H5_PANGO,        "fgcolor=\""EGG_MARKDOWN_COLOR_H5_FG"\" size=\"83%\"")                                          \
X(EGG_MARKDOWN_STYLE_H6_PANGO,        "fgcolor=\""EGG_MARKDOWN_COLOR_H6_FG"\" size=\"67%\"")                                          \
X(EGG_MARKDOWN_STYLE_IMAGE_PANGO,     "underline=\"double\"")                                 \
X(EGG_MARKDOWN_STYLE_URL_PANGO,       "fgcolor=\""EGG_MARKDOWN_COLOR_URL_FG"\" underline=\"single\"")

#define X(a, b) a,
typedef enum {
	TABLE
} EggMarkdownPangoStyles;
#undef X

#define X(a, b) (b),
static gchar *egg_markdown_style_pango[] = {
	TABLE
};
#undef X
#undef TABLE

#endif /* __EGG_MARKDOWN_STYLE_H */

