#!/bin/sh

TEST_LABEL='examples_gettext'
TEST_ARGS="test/subject/$TEST_LABEL.md"
reference_pof="test/reference/$TEST_LABEL.po"
TEST_FORMATS='html text po'

. "${0%/*}/lib/common.sh" || exit 1

test_create () {
	local ret
	create_default "$@"
	ret=$?
	if [ $ret -eq 0 ]; then
		if ! sed -i -e '/^#:.*\.md:[0-9]\+$/d' "$reference_pof"; then
			printf "\033[7;31m  %s  \033[0m %s %s\n" "ERROR (sed)" "$TEST_LABEL" "po"
			ret=1
		fi
	fi
	return $ret
}

test_diff () {
	sed -i -e '/^#:.*\.md:[0-9]\+$/d' "$2" &&
		diff_default "$1" "$2"
}

main "$@"
